OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_HSequenceOfElement Class Reference

`#include <MoniTool_HSequenceOfElement.hxx>`

## Public Member Functions
| MoniTool_HSequenceOfElement ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MoniTool_Element)&anItem)
Standard_EXPORT void | Append (const Handle(MoniTool_HSequenceOfElement)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MoniTool_Element)&anItem)
Standard_EXPORT void | Prepend (const Handle(MoniTool_HSequenceOfElement)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MoniTool_Element)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MoniTool_HSequenceOfElement)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MoniTool_Element)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MoniTool_HSequenceOfElement)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MoniTool_HSequenceOfElement | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MoniTool_Element)&anItem)
Standard_EXPORT const Handle_MoniTool_Element & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MoniTool_Element & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MoniTool_SequenceOfElement & | Sequence () const
MoniTool_SequenceOfElement & | ChangeSequence ()
Standard_EXPORT Handle_MoniTool_HSequenceOfElement | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
MoniTool_SequenceOfElement | mySequence

## Constructor & Destructor Documentation

MoniTool_HSequenceOfElement::MoniTool_HSequenceOfElement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MoniTool_HSequenceOfElement::Append | ( | const Handle(MoniTool_HSequenceOfElement)& | aSequence | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Append | ( | const Handle(MoniTool_Element)& | anItem | ) |

MoniTool_SequenceOfElement& MoniTool_HSequenceOfElement::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MoniTool_Element& MoniTool_HSequenceOfElement::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Clear | ( |  | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MoniTool_HSequenceOfElement::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MoniTool_HSequenceOfElement::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MoniTool_HSequenceOfElement)& | aSequence
| ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MoniTool_Element)& | anItem
| ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MoniTool_HSequenceOfElement)& | aSequence
| ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MoniTool_Element)& | anItem
| ) |

Standard_Boolean MoniTool_HSequenceOfElement::IsEmpty | ( |  | ) | const

Standard_Integer MoniTool_HSequenceOfElement::Length | ( |  | ) | const

Standard_EXPORT void MoniTool_HSequenceOfElement::Prepend | ( | const Handle(MoniTool_HSequenceOfElement)& | aSequence | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Prepend | ( | const Handle(MoniTool_Element)& | anItem | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MoniTool_HSequenceOfElement::Reverse | ( |  | ) |

const MoniTool_SequenceOfElement& MoniTool_HSequenceOfElement::Sequence | ( |  | ) | const

Standard_EXPORT void MoniTool_HSequenceOfElement::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MoniTool_Element)& | anItem
| ) |

Standard_EXPORT Handle_MoniTool_HSequenceOfElement MoniTool_HSequenceOfElement::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MoniTool_HSequenceOfElement MoniTool_HSequenceOfElement::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MoniTool_Element& MoniTool_HSequenceOfElement::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MoniTool_SequenceOfElement MoniTool_HSequenceOfElement::mySequence`[private]`

The documentation for this class was generated from the following file:

- MoniTool_HSequenceOfElement.hxx